Interface AnsweredCallEvent
- All Superinterfaces:
VoiceCallSinchEvent,VoiceSinchEvent
The request body of an Answered Call Event.
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfaceDedicated Builderstatic classMust have the valueace. -
Method Summary
Modifier and TypeMethodDescriptionstatic AnsweredCallEvent.Builderbuilder()Getting buildergetAmd()Get amdThe unique application key.A string that can be used to pass custom information related to the call.The timestamp in UTC format.Methods inherited from interface com.sinch.sdk.domains.voice.models.v1.sinchevents.VoiceSinchEvent
getCallid, getConferenceId, getVersion
-
Method Details
-
getTimestamp
Instant getTimestamp()The timestamp in UTC format.- Specified by:
getTimestampin interfaceVoiceCallSinchEvent- Returns:
- timestamp
-
getCustom
String getCustom()A string that can be used to pass custom information related to the call.- Specified by:
getCustomin interfaceVoiceCallSinchEvent- Returns:
- custom
-
getApplicationKey
String getApplicationKey()The unique application key. You can find it in the Sinch dashboard.- Specified by:
getApplicationKeyin interfaceVoiceCallSinchEvent- Returns:
- applicationKey
-
getAmd
AnsweringMachineDetection getAmd()Get amd- Returns:
- amd
-
builder
Getting builder- Returns:
- New Builder instance
-